﻿@model SitesIndexAreaViewModel
@using SiteGuide.Service.Helpers
@using SiteGuide.Web.Helpers

@if (Model.Sites.Any())
{
    <tr class="header-area-name" id="@Model.FullPath()">
        <td colspan="99">
            <h4>@Model.FullPath()</h4>
        </td>
    </tr>
    <tr class="header-column-names">
        <th>Name</th>
        <th>Location</th>
        <th>Type</th>
        <th>Conditions</th>
        <th>Rating</th>
        <th>Height</th>
        <th></th>
    </tr>
    @foreach (var site in Model.Sites)
    {
        <tr class="data">
            <td>
                <a asp-action="Details" asp-route-id="@site.Name">@Html.DisplayFor(modelItem => site.Name)</a>
                @if (true)
                {
                    <ul class="launch-list">
                        @foreach (string launchName in site.LaunchNames)
                        {
                            <li>
                                @launchName
                            </li>
                        }
                    </ul>
                }
            </td>
            <td>
                @Html.DisplayFor(modelItem => site.ShortLocation)
            </td>
            <td>
                @Html.DisplayFor(modelItem => site.Type)
            </td>
            @if (String.IsNullOrEmpty(site.Closed))
            {
                <td>
                    @Html.DisplayFor(modelItem => site.Conditions)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => site.Rating)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => site.Height)
                </td>
            }
            else
            {
                <td class="alert alert-secondary site-closed-text" colspan="3">
                    <span class="float-left badge badge-danger site-closed-badge">Closed</span>
                    @Html.FromMarkdown(site.Closed)
                    @*@Html.DisplayFor(modelItem => site.Closed)*@
                </td>
            }
            @*<td>
                    <a asp-action="Details" asp-route-id="@site.Name">Details</a>
                </td>*@
        </tr>
    }
}
@foreach (var area in Model.Areas)
{
    <partial name="_AreaSiteRows" model="area" />
}
